Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eteks.forum
Class AnalyseurXMLForum

    java.lang.Object
      com.eteks.forum.AnalyseurXMLForum

    public class AnalyseurXMLForum

extends java.lang.Object

Gestionnaire XML des messages et des utilisateurs.

Constructor Summary
`AnalyseurXMLForum()`

Method Summary
`MessageForum` | `lireMessageDOM(org.w3c.dom.Element element)` Renvoie le message correspondant a l'element DOM en parametre.
`EnsembleMessagesForum` | `lireMessagesXML(java.io.InputStream fluxLecture)` Renvoie l'ensemble des messages correspondant au document XML lu dans le flux de lecture en parametre.
`UtilisateurForum` | `lireUtilisateurDOM(org.w3c.dom.Element element)` Renvoie l'utilisateur correspondant a l'element DOM en parametre.
`java.util.Set<Utilisateur>` | `lireUtilisateursXML(java.io.InputStream fluxLecture)` Renvoie l'ensemble des utilisateurs correspondant au document XML lu dans le flux de lecture en parametre.
`org.w3c.dom.Document` | `lireXML(java.io.InputStream fluxLecture)` Renvoie le document DOM correspondant au document XML lu dans le flux de lecture en parametre.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnalyseurXMLForum

    public AnalyseurXMLForum()

Method Detail

### lireXML

    public org.w3c.dom.Document lireXML(java.io.InputStream fluxLecture)
                                 throws java.io.IOException

  Renvoie le document DOM correspondant au document XML lu dans le flux de lecture en parametre.

  Throws:
    `java.io.IOException`

### lireUtilisateursXML

    public java.util.Set<Utilisateur> lireUtilisateursXML(java.io.InputStream fluxLecture)
                                                   throws java.io.IOException

  Renvoie l'ensemble des utilisateurs correspondant au document XML lu dans le flux de lecture en parametre.

  Throws:
    `java.io.IOException`

### lireUtilisateurDOM

    public UtilisateurForum lireUtilisateurDOM(org.w3c.dom.Element element)

  Renvoie l'utilisateur correspondant a l'element DOM en parametre.

### lireMessagesXML

    public EnsembleMessagesForum lireMessagesXML(java.io.InputStream fluxLecture)
                                          throws java.io.IOException

  Renvoie l'ensemble des messages correspondant au document XML lu dans le flux de lecture en parametre.

  Throws:
    `java.io.IOException`

### lireMessageDOM

    public MessageForum lireMessageDOM(org.w3c.dom.Element element)

  Renvoie le message correspondant a l'element DOM en parametre.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD